<?php

/*
  PHP version 5
  Copyright (c) 2002-2019ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/




use admin_application\ArticleModelDB;

class lib_article_model {

	public static function call_article_model($parameter, $filename = 'lib_dropdown_model', $outHTML = null) {
		$espcms_admin_templates = espcms_admin_template();
		$espcms_admin_templates->libfile = true;
		$model_array = ArticleModelDB::get_model_list();
		$espcms_admin_templates->into('array', $model_array);
		if (!empty($outHTML)) {
			$output = $espcms_admin_templates->fetch(null, null, $outHTML);
		} else {
			$output = $espcms_admin_templates->fetch('article/' . $filename);
		}
		return $output;
	}

}
